<h2 mat-dialog-title>
    <mat-icon aria-hidden="false" style="padding-right: 10px;">local_taxi</mat-icon>Ride Details
</h2>
<div mat-dialog-content>
    <mat-list>
        <mat-list-item>
            <span class="ride-title">Ride ID:</span><span class="ride-data">{{data.ride.id}}</span>
        </mat-list-item>
        <mat-list-item>
            <span class="ride-title">Ride Start Time:</span><span class="ride-data">{{data.ride.startTime | date: 'dd-MM-yyyy HH:mm:ss': '+0200'}}</span>
        </mat-list-item>
        <mat-list-item>
            <span class="ride-title">Ride Duration:</span><span class="ride-data">{{data.ride.duration}}</span>
        </mat-list-item>
        <mat-list-item>
            <span class="ride-title">Ride Distance:</span><span class="ride-data">{{data.ride.distance}}</span>
        </mat-list-item>
        <mat-list-item>
            <span class="ride-title">Price:</span><span class="ride-data">{{data.price | currency:'EUR'}}</span>
        </mat-list-item>
    </mat-list>
</div>
<div mat-dialog-actions style="justify-content: flex-end;">
    <button mat-button (click)="closeDialog()" cdkFocusInitial color="primary">Close</button>
</div>